package com.ekexiu.portal.resResult;

import org.jfw.apt.annotation.Nullable;
import org.jfw.apt.orm.annotation.dao.Batch;
import org.jfw.apt.orm.annotation.dao.DAO;
import org.jfw.apt.orm.annotation.dao.method.From;
import org.jfw.apt.orm.annotation.dao.method.Where;
import org.jfw.apt.orm.annotation.dao.method.operator.DeleteWith;
import org.jfw.apt.orm.annotation.dao.method.operator.Insert;
import org.jfw.apt.orm.annotation.dao.method.operator.SelectList;

import java.sql.Connection;
import java.sql.SQLException;
import java.util.List;

/**
 * Created by TT on 2019/07/10.
 */
@DAO
public interface ResearcherDao {

    @Insert
    int insert(Connection con, Researcher researcher)throws SQLException;

    @Insert
    @Batch
    int[] insert(Connection con, Researcher[] researchers) throws SQLException;

    @DeleteWith
    @From(Researcher.class)
    int delete(Connection con, String id)throws SQLException;

    @SelectList
    @Nullable
    @Where("STATUS = '0'")
    List<Researcher> query(Connection con, String id) throws SQLException;

    @SelectList
    @Nullable
    List<Researcher> querybyprofessorId(Connection con, String professorId) throws SQLException;

    @DeleteWith
    @From(Researcher.class)
    int deletecontact(Connection con, String id , String professorId)throws SQLException;

    @SelectList
    @Nullable
    List<Researcher> selectbyidandPid(Connection con,String id ,String professorId) throws SQLException;

}
